MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001117XdebugUsage problems (Wrong Results)public2015-02-26 16:032015-02-28 16:30
Reporterz0rc 
Assigned Toderick 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSDebianOS Version7.6
Product Version2.3.1 
Target VersionFixed in Version2.3.2 
Summary0001117: phpunit with coverage reporting under 5.5.22 crashes xdebug
DescriptionAfter upgrading from PHP 5.5.21 to 5.5.22 PHPUnit started to crash within xdebug module when used with coverage option. I tried with coverage-html and coverage-clover.

Tried with PHPUnit branches 3.7 and 4.5.

Sample output
# php vendor/bin/phpunit --configuration=phpunit.xml.dist
PHPUnit 4.5.0-16-geb6ad0d by Sebastian Bergmann and contributors.

Configuration read from /var/build/total_import/staging/135/phpunit.xml.dist

Deprecated configuration setting "strict" used

.......*** glibc detected *** php: realloc(): invalid next size: 0x00000000028518a0 ***

Full GDB stack trace https://privatepaste.com/280caa3907 [^]

Interesting is that under valgrind there is no crash, but there is some nasty errors (valgrind -v --leak-check=full php vendor/bin/phpunit --configuration=phpunit.xml.dist) https://privatepaste.com/bf998591bd [^]
Steps To Reproducephpunit --coverage-html
TagsNo tags attached.
Operating System
PHP Version5.5.20-5.5.25
Attached Filestxt file icon valgrind_output.txt [^] (56,546 bytes) 2015-02-26 16:04 [Show Content]
txt file icon gdb_output.txt [^] (65,374 bytes) 2015-02-26 16:05 [Show Content]

- Relationships

-  Notes
(0003004)
z0rc (reporter)
2015-02-26 16:06

Here are similar reports https://github.com/puphpet/puphpet/issues/1368 [^]
(0003005)
derick (administrator)
2015-02-26 16:18

Is this with all code coverage, or just some specific ones? Could you for example make a small reproducible case (ie, one specific unit test), that shows this crash?
(0003006)
z0rc (reporter)
2015-02-27 07:20

I've hit this issue with two internal projects. Will try to come up with some small testcase.
(0003012)
bushman (reporter)
2015-02-27 12:19

Hi, I created reproducible case:
https://github.com/teplolog/xdebub_realloc_error/blob/master/tests/XdebugTest.php [^]
(0003013)
derick (administrator)
2015-02-27 12:39

Thanks bushman, how do I run that? Just in a dir with phpunit?
(0003014)
bushman (reporter)
2015-02-27 12:53

You can install this case project by running:
git clone https://github.com/teplolog/xdebub_realloc_error.git [^]
cd xdebub_realloc_error
composer install

And then run:
php ./vendor/bin/phpunit --configuration=phpunit.xml.dist
(0003016)
derick (administrator)
2015-02-28 16:30

Thanks for the reproduce case. This is now fixed on GIT - for the 2.3.2 release.

- Issue History
Date Modified Username Field Change
2015-02-26 16:03 z0rc New Issue
2015-02-26 16:04 z0rc File Added: valgrind_output.txt
2015-02-26 16:05 z0rc File Added: gdb_output.txt
2015-02-26 16:06 z0rc Note Added: 0003004
2015-02-26 16:18 derick Note Added: 0003005
2015-02-26 16:18 derick Assigned To => derick
2015-02-26 16:18 derick Status new => feedback
2015-02-27 07:20 z0rc Note Added: 0003006
2015-02-27 07:20 z0rc Status feedback => assigned
2015-02-27 12:19 bushman Note Added: 0003012
2015-02-27 12:39 derick Note Added: 0003013
2015-02-27 12:53 bushman Note Added: 0003014
2015-02-28 16:30 derick Note Added: 0003016
2015-02-28 16:30 derick Status assigned => closed
2015-02-28 16:30 derick Resolution open => fixed
2015-02-28 16:30 derick Fixed in Version => 2.3.2
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker